Subject: Re: bug#56469: 29.0.50; Unibyte dir in directory_files_internal

From: Stefan Monnier <[email-masked]>
Date: Sat, 09 Jul 2022 14:20:37 -0400

>> I suggest the patch below.  In a comment I suggest we don't try to use
>> unibyte strings when a multibyte string would work as well.  This is
>> because for those ASCII-only strings, it's cheaper to test bytes==chars
>> to (re)discover that they are ASCII-only (when they're multibyte) than
>> having to loop through the bytes (when they're unibyte).
>
> Please bootstrap Emacs in a directory with such a name, and if that
> works, I'm okay with installing this change.

Just to clarify: by "this change" you refer to the change in the patch
or the change suggested in the comment?

        Stefan